package io.swagger.test_swagger_java_client;

import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.LoginApi;
import io.swagger.client.model.JwtDto;
import io.swagger.client.model.UserDto;
import io.swagger.client.ApiResponse;
import io.swagger.client.api.CustomersApi;
import io.swagger.client.model.PaginatedDto;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.fail;


public class App_CustomerAPITest {

    public static void main(String[] args) throws ApiException {
    	
      // Say Hello
      System.out.println("Hello world");
        
      String baseApiUrl = "https://wmcintegration.wanesy.com/";
  	 
  	  int connectTimeout = 60000;
  	  int readTimeout = 120000;

  	  // Create an ApiClient per thread
  	  ApiClient defaultClient = Configuration.getDefaultApiClient();
  	  
  	  defaultClient.setBasePath(baseApiUrl); 	  
  	  defaultClient.setConnectTimeout(connectTimeout);
  	  defaultClient.setDebugging(true);
  	
  	  // Call login method
  	  LoginApi loginApi = new LoginApi(defaultClient);
  	  
  	  UserDto body = new UserDto ();
  	  body.setLogin("tda");
  	  body.setPassword("kerlinkkerlink");
  	  
  	  System.out.println("Login Post");
  	
  	  JwtDto jwt = loginApi.login(body);
	
  	  defaultClient.setApiKey("Bearer " + jwt.getToken());
  	  Configuration.setDefaultApiClient(defaultClient);
  	 
  	  // getCustomers
  	  CustomersApi customerInstance = new CustomersApi();
  	  String sort = ""; // Sort value
	  String pageSize = ""; // Page size value
	  String search = "{\"operand\": \"name\", \"operation\": \"EQ\",	\"values\": [\"kerlink\"]}"; // Search condition
	  String fields = ""; // List of fields to display
	  String page = ""; // Page number
	  try {
		  PaginatedDto<CustomerDto> paginatedDto =  customerInstance.getCustomers(fields, page, pageSize, search, sort);
	  	  assertEquals(Integer.valueOf(1), paginatedDto.getCount());
	  	  
	  } catch (ApiException e) {
	  	    System.err.println("Exception when calling CustomersApi#applicationCustomersGet");
	  	    e.printStackTrace();
	  }
	  
  	  System.out.println("Test Done");
    }
}